Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat
Class NEATLink

    java.lang.Object
      org.encog.neural.neat.NEATLink

All Implemented Interfaces:
  Serializable, Comparable<NEATLink>

    public class NEATLink

extends Object
implements Serializable, Comparable<NEATLink>

Implements a link between two NEAT neurons. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

See Also:
  Serialized Form

Constructor Summary
`NEATLink(int theFromNeuron, int theToNeuron, double theWeight)` Construct a NEAT link.

Method Summary
`int` | `compareTo(NEATLink other)`
`boolean` | `equals(Object other)`
`int` | `getFromNeuron()`
`int` | `getToNeuron()`
`double` | `getWeight()`
`void` | `setFromNeuron(int fromNeuron)` Set the from neuron.
`void` | `setToNeuron(int toNeuron)` Set the target neuron.
`void` | `setWeight(double weight)` Set the weight of this link.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NEATLink

    public NEATLink(int theFromNeuron,
                    int theToNeuron,
                    double theWeight)

  Construct a NEAT link.

  Parameters:
    `theFromNeuron` - The from neuron.
    `theToNeuron` - The to neuron.
    `theWeight` - The weight.

Method Detail

### compareTo

    public int compareTo(NEATLink other)

  Specified by:
    `compareTo` in interface `Comparable<NEATLink>`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### getFromNeuron

    public int getFromNeuron()

  Returns:
    The from neuron.

### getToNeuron

    public int getToNeuron()

  Returns:
    The to neuron.

### getWeight

    public double getWeight()

  Returns:
    The weight of the link.

### setFromNeuron

    public void setFromNeuron(int fromNeuron)

  Set the from neuron.

  Parameters:
    `fromNeuron` - The from neuron.

### setToNeuron

    public void setToNeuron(int toNeuron)

  Set the target neuron.

  Parameters:
    `toNeuron` - The target neuron.

### setWeight

    public void setWeight(double weight)

  Set the weight of this link.

  Parameters:
    `weight` - The weight.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.